Summary: e-smith server and gateway - mailfront smtpd module
%define name e-smith-mailfront
Name: %{name}
%define version 1.3.0
%define release 11
Version: %{version}
Release: %{release}
License: GPL
Vendor: Mitel Networks Corporation
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: e-smith-mailfront-1.3.0-02.mitel_patch
Patch1: e-smith-mailfront-1.3.0-03.mitel_patch
Patch2: e-smith-mailfront-1.3.0-04.mitel_patch
Patch3: e-smith-mailfront-1.3.0-05.mitel_patch
Patch4: e-smith-mailfront-1.3.0-06.mitel_patch
Patch5: e-smith-mailfront-1.3.0-07.mitel_patch
Patch6: e-smith-mailfront-1.3.0-08.mitel_patch
Patch7: e-smith-mailfront-1.3.0-09.mitel_patch
Patch8: e-smith-mailfront-1.3.0-10.mitel_patch
Patch9: e-smith-mailfront-1.3.0-11.mitel_patch
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: e-smith-email >= 4.9.10
Requires: mailfront ucspi-tcp daemontools
Requires: e-smith-lib >= 1.9.35
Obsoletes: e-smith-obtuse-smtpd
Obsoletes: e-smith-qmail-smtpd
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
e-smith server and gateway software - mailfront smtpd module

%changelog
* Wed Sep 10 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-11]
- Changed ConcurrencyRemote property to Instances (See 1.3.0-05) [gordonr 9385]

* Thu Aug 28 2003 Michael Soulier <msoulier@e-smith.com>
- [1.3.0-10]
- Added K* init symlinks in runlevels 0, 1 and 6. [msoulier 9761]

* Fri Aug 22 2003 Michael Soulier <msoulier@e-smith.com>
- [1.3.0-09]
- Added a new Proxy property to smtpfront-qmail, to permit enabling/disabling
  of the SMTP proxy. [msoulier 9572]

* Tue Aug 19 2003 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-08]
- Add support for rblsmtpd (enabled by db property) [charlieb 9746]

* Tue Aug 19 2003 Michael Soulier <msoulier@e-smith.com>
- [1.3.0-07]
- Added the runenv script back for environment separation. [msoulier 9385]

* Tue Aug 19 2003 Michael Soulier <msoulier@e-smith.com>
- [1.3.0-06]
- Fixed the environment variables not being picked up from the last revision.
  [msoulier 9385]

* Tue Aug 19 2003 Michael Soulier <msoulier@e-smith.com>
- [1.3.0-05]
- Added support for a ConcurrencyRemote db prop on smtpfront-qmail, which is
  reflected as the -c argument to tcpserver to limit the number of incoming
  connections to that amount. Defaults to 40. [msoulier 9385]

* Fri Jul 18 2003 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-04]
- $UID was a poor choice of variable for setting the uid of smtpfront-qmail -
  I've changed it to SMTPFRONTUID. [charlieb 9529]

* Fri Jul 18 2003 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-03]
- Add starter template fragment for runenv file. [charlieb 9529]

* Thu Jul 17 2003 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-02]
- Allow tcpserver and smtpfront-qmail run environment to be controlled
  by a templated shell script. [charlieb 9529]

* Thu Jul  3 2003 Charlie Brady <charlieb@e-smith.com>
- [1.3.0-01]
- Changing version to development stream number - 1.3.0

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-01]
- Changing version to stable stream number - 1.2.0

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-11]
- Apply MAILRULES for inbound SMTP from the router. Refactor template
  fragment for clarity while we are at it. [charlieb 9180]

* Thu Jun 12 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-10]
- Give order tag to migrate fragment [gordonr 9015]

* Thu Apr 17 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-09]
- s/delprop/delete_prop/ [gordonr 8034]

* Mon Apr 14 2003 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-08]
- Fix problem with property migration code on new install. [charlieb 8249]

* Tue Apr  8 2003 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-07]
- Rename filter properties (last time!) to ExternalInterfacesFilter and
  InternalInterfacesFilter. [charlieb 8090]

* Mon Apr  7 2003 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-06]
- Fix breakage in the cdb file template. Rename IngressFilter to External
  filter. [charlieb 8090]

* Mon Apr  7 2003 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-05]
- Change Copyright header to License. [charlieb]
- Migrate filter property to LocalFilter and IngressFilter properties
  [charlieb 8090]
- Remove env/QMAILQUEUE, and set QMAILQUEUE value in cdb file. [charlieb 8090]
- Move migration and db initialisation code to /etc/e-smith/db fragments.
  [charlieb 5665]
- Remove any smtpfwdd remnants in %post script rather than post-upgrade
  action. Remove post-upgrade action. [charlieb - side effect of 5665]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-04]
- Only generate rcpthosts entries for $SystemName.$DomainName and
  configured domains. Previously, we also generated them for all
  hostsdb entries, even though we didn't really handle them [gordonr 3710]

* Tue Mar 18 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-03]
- Relocated /var/qmail/control/locals fragment to e-smith-email [gordonr 6900]

* Tue Mar 18 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-02]
- Handle Postmaster@[${ExternalIP}] for RFC compliance [gordonr 6900]

* Tue Mar 18 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-01]
- dev stream to 1.1.0

* Mon Mar 17 2003 Lijie Deng <lijied@e-smith.com>
- [1.0.0-03]
- Deleted empty template-end file [lijied 3295]

* Mon Feb 10 2003 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-02]
- Adjust tpcserver args so that connecting IP address is logged.
  [charlieb 6711]

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-01]
- Roll to maintained version number to 1.0.0

* Fri Sep 27 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.3.7-01]
- Rebuild as source to fix co2rpm snafu [gordonr]

* Fri Sep 27 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.3.6-06]
- Rebuilding to ensure patches included [gordonr]

- [0.3.6-04]
* Fri Sep 27 2002 Gordon Rowell <gordonr@e-smith.com>
- Arrgh, why isn't it License/Copyright/Vendor? [gordonr]

* Fri Sep 27 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.3.6-04]
- Adjusted Copyright and License to Mitel/GPL [gordonr]

* Wed Sep 11 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.6-03]
- Change mailrules blocking rules from "z" to "d", per change in mailfront
  rules specifications to match qmail-remote, QMQP and QMTP. [charlieb 4727]

* Fri Sep  6 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.6-02]
- Fix NoBang mailrules template fragment to include unqualified addresses.
  [charlieb 4727]

* Wed Aug 28 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.6-01]
- Fix syntax problem in tcp.smtp template [charlieb 4727]

* Tue Aug 27 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.5-03]
- Fix AllowSMTP masq template fragment. [charlieb 4501]

* Mon Aug 26 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.5-02]
- Add support for mailfront rules checking - block percenthack etc.
  [charlieb 4727]

* Thu Aug  8 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.5-01]
- Change masq template fragment to use allow_tcp_in() function. [charlieb 4499]

* Tue Jul 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.3.4-01]
- No change - co2rpm testing gordonr 4439]

* Mon Jul 22 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.3.3-01]
- No change - cvs2rpm testing [gordonr 4438]

* Wed Jul 17 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.2-01]
- Change masq script fragment to use iptables. [charlieb 1268]

* Thu Jun 20 2002 Mark Knox <markk@e-smith.com>
- [0.3.1-01]
- Patch to enforce private access in private s/g mode [markk 3974]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [0.3.0-01]
- Changing version to development stream number - 0.3.0

* Fri May 31 2002 Charlie Brady <charlieb@e-smith.com>
- [0.2.0-01]
- Changing version to maintained stream number to 0.2.0

* Thu May 30 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.43-01]
- Use OO access to Networks DB in tcp.smtp template. [charlieb 3687, 3754]

* Thu May 30 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.42-01]
- We need to check the type, not the key, when grepping
  network db for entries of type "network". [charlieb 3687]

* Tue May 28 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.41-01]
- Only generate TCP rules for "network" entries in network db.
  [charlieb 3687]

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.40-01]
- RPM rebuild forced by cvsroot2rpm

* Thu May 23 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.39-01]
- Remove world read and execute permissions from smtpfront-qmail log
  directory. [charlieb]

* Wed May 22 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.38-01]
- Make sure that badrcptto is updated if virtual domains are added or deleted.
  [charlieb 2604].

* Wed May 22 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.37-01]
- Fix rc7.d symlink, so that e-smith-service is called, which will
  check for the service being disabled in the config db.
  [charlieb 2604]

* Wed May 22 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.36-01]
- Forced update by cvsroot2rpm

* Wed May 22 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.35-01]
- Forced version update by co2rpm

* Wed May 15 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.34-01]
- Migrate smtpfwdd properties if found, and remove smtpfwdd detritus
  in /etc/rc.d/rc7.d directory [charlieb 3442]

* Wed May 15 2002 Michael Schwern <schwern@e-smith.com>
- [0.1.33-01]
- Moving templates away from DBS usage [schwern 3272]

* Mon May 13 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.32-01]
- Handle tcprules for very tight netmasks. If we have a tight mask, 
  we get a list of IP numbers and we shouldn't add another terminating
  dot.  [gordonr 2604]
- Don't generate a "no relay from gateway" tcprules entry if we have
  no gateway. This rule takes precedence over local network relaying,
  so we end up with no local network relays [gordonr 2604]

* Mon May 13 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.31-01]
- Remove unnecessary and harmful log/down file. [charlieb 2604]

* Fri May 10 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.30-01]
- Add 45AllowSMTP masq template fragment. [charlieb 2604,3419]
- Change 45AllowSMTP to use smtpfront-qmail service, and to use
  $DB->get()->prop() syntax. [charlieb 2604,3419]

* Wed May  8 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.29-01]
- Need to set QMAILQUEUE, not QMAIL_QUEUE. [charlieb 2604]

* Tue May  7 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.28-01]
- Need to append dot to partial network specifications in tcprules
  [gordonr 2604]

* Fri May  3 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.27-01]
- Put down files in the right place.

* Fri May  3 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.26-01]
- Add env/DATABYTES template, and don't look up /var/qmail/control/databytes.
  We already template control/databytes with a constant 0. We should remove
  that. Setting $DATABYTES in the run script wasn't ideal, since the file
  would only be read at statup time.
  The value in the DATABYTES file is the MaxMessageSize property if it
  is defined, and 0 (unlimited) otherwise.
- Remove files and fifos from supervise directories - supervise creates
  those as required. TODO: Add %ghost entries in spec file.
- Change lookups from smtpd to smtpfront-qmail in various templates. Needed
  to change from $smtpd{PROP} syntax to
  $DB->get('smtpfront-qmail')->prop('PROP') syntax to do that.
- Remove obsolete hosts.allow template fragments.

* Fri May  3 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.25-01]
- If /var/qmail/control/databytes is available, use it to init $DATABYTES
  in the environment when we run smtpfront-qmail.  [charlieb 2604]

* Fri May  3 2002 Michael Schwern <schwern@e-smith.com>
- [0.1.24-01]
- esmith::AccountDB -> esmith::AccountsDB [schwern 3287]

* Thu May  2 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.23-01]
- Remove smtpfwdd migration code, since it is now (properly) in e-smith-email.

* Thu May  2 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.22-01]
- Fix syntax error in mailfront-conf-env script.

* Thu May  2 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.21-01]
- Fix postfiltering to correctly match %dir output of genfilelist -
  it includes a space. This time for sure, Rocky.

* Thu May  2 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.20-01]
- Change postfiltering of genfilelist output so that /var/service/...
  templates are not removed. There must be a better way ... 

* Thu May  2 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.19-01]
- Fix permissions on env directory and enclosed files.

* Thu May  2 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.18-01]
- Correct filelist mangling in spec file so that env directory and env/PATH
  file are included in RPM.
- Split mailfront-conf-control action into -control and -env.

* Wed May  1 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.17-01]
- Migrate filter and status properties from smtpfwdd service if we find them.

* Tue Apr 30 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.16-01]
- Make rc7.d directory before populating it.

* Tue Apr 30 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.15-01]
- Added env directory and envdir call to run script, to allow
  setting of QMAIL_QUEUE variable, probably among others [charlieb 2604]
- Add -l 0 and -R to tcpserver call in run script [charlieb 2604]
- Switch to use of envgiduid instead of explicit set of -u/-g in run
  script [charlieb 2604]
- Add templates for TCPLOCALHOST and QMAIL_QUEUE env files [charlieb 2604]

* Tue Apr 30 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.14-01]
- Added rc7.d startup link [gordonr 2604]

* Tue Apr 30 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.13-01]
- Added daemontools startup link [gordonr 2604]
- Fixups to badrcpto templates [gordonr 2604]

* Mon Apr 29 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.12-01]
- Rewrote rcpthosts using hosts db instead of a fixed set of hosts
  This should be rewritten using the HostsDB and DomainsDB interface,
  but the file is currently processed by a loop in e-smith-email, which
  has not yet been converted [gordonr 2604]
- Block mail for Visible|internal for hosts as well as domains [gordonr 2604]

* Mon Apr 29 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.11-01]
- NOTE: badrcptto is only applied to hosts which do not have RELAYCLIENT
  set in the environment to smtpfront-qmail (see tcprules/tcp.smtp)
- Added badrcptto entries for each domain/hostname as well as 
  the bare recipient [gordonr 2604]
- Explicitly Obsolete e-smith-{obtuse,qmail}-smtpd to ease upgrades 
  [gordonr 2604]
- Added relay rules for localnetwork(s) [gordonr 2604]

* Sat Apr 27 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.10-01]
- smtp|access -> smtpd|access [gordonr 2604]
- Added /var/qmail/control/badrcptto to block mail to accounts which
  are configured as Visible|internal [gordonr 2604]

* Sat Apr 27 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.9-01]
- Reference the tcp.smtp.cdb file correctly in the run script [gordonr 2604]
- Added default for smtp access, determined by smtpd|access [gordonr 2604]

* Fri Apr 26 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.8-01]
- Added /etc/tcprules directory for template output [gordonr 2604]
- Change run script to use tcprules file [gordonr 2604]

* Fri Apr 26 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.7-01]
- Added initial tcprules and script to regenerate it [gordonr 2604]
- TODO: Add rules for local network and LocalNetworks [gordonr 2604]

* Fri Apr 26 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.6-01]
- Fixed up pathname to filelist [gordonr 2604]

* Fri Apr 26 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.5-01]
- Added directory exclusions to filelist - these should be in
  genfilelist (ditto for e-smith-qmail) [gordonr 2604]

* Fri Apr 26 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.4-01]
- Adjusted log directory path [gordonr 2604]

* Fri Apr 26 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.3-01]
- Removed xinetd.conf templates - will run under tcpserver [gordonr 2604]
- Removed /var/qmail/control/rcpthosts/template-begin [gordonr 2604]
- Added supervise startup [gordonr 2604]

* Fri Apr 26 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.1-01]
- Test of CVS import [gordonr]

* Fri Apr 26 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.0-01]
- rollRPM: Rolled version number to 0.1.0-01. Includes patches up to 0.0.1-02.

* Wed Jan 23 2002 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-2]
- Fix broken path in xinetd fragment, and configure so that tcpd is used,
  so that required environment variables get correctly set - in particular,
  RELAYCLIENT is set when required.

* Mon Oct  8 2001 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-1]
- Initial

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
perl createlinks

mkdir -p root/etc/tcprules

mkdir -p root/service
ln -s /var/service/smtpfront-qmail root/service/smtpfront-qmail

mkdir -p root/var/service/smtpfront-qmail/supervise
touch root/var/service/smtpfront-qmail/down

mkdir -p root/var/service/smtpfront-qmail/log/supervise

mkdir -p root/var/log/smtpfront-qmail

mkdir -p root/var/service/smtpfront-qmail/env

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    | sed \
      -e '\:^/var/service/smtpfront-qmail:d' \
      -e '\:) /var/service/smtpfront-qmail:d' \
      -e '\:^/var/log/smtpfront-qmail:d' \
      -e '\:) /var/log/smtpfront-qmail:d' \
    > %{name}-%{version}-%{release}-filelist

echo "%dir %attr(1755,root,root)/var/service/smtpfront-qmail" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0644,root,root)/var/service/smtpfront-qmail/down" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0755,root,root)/var/service/smtpfront-qmail/run" \
    >> %{name}-%{version}-%{release}-filelist
echo "%dir %attr(0700,root,root)/var/service/smtpfront-qmail/supervise" \
    >> %{name}-%{version}-%{release}-filelist
echo "%dir %attr(0755,root,root)/var/service/smtpfront-qmail/env" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0644,root,root)/var/service/smtpfront-qmail/env/PATH" \
    >> %{name}-%{version}-%{release}-filelist
echo "%dir %attr(1755,root,root)/var/service/smtpfront-qmail/log" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0755,root,root)/var/service/smtpfront-qmail/log/run" \
    >> %{name}-%{version}-%{release}-filelist
echo "%dir %attr(0700,root,root)/var/service/smtpfront-qmail/log/supervise" \
    >> %{name}-%{version}-%{release}-filelist

echo "%dir %attr(2750,qmaill,nofiles)/var/log/smtpfront-qmail" \
    >> %{name}-%{version}-%{release}-filelist

%post
rm -f /etc/sysconfig/smtpfwdd
rm -f /etc/rc.d/rc7.d/S81smtpfwdd
rm -f /var/service/smtpfront-qmail/env/QMAILQUEUE

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
